Bug 208239 - eggcups crash
eggcups crash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 06:00 EDT by Han-Wen Nienhuys
Modified: 2013-03-05 22:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 01:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2006-09-27 06:00:30 EDT
Description of problem:

Ever since FC4 or so, eggcups crashes on me when I cancel a job. It doesn't
happen always, but does happen very frequently.  This time, I've taken the time
to post a stacktrace.



Version-Release number of selected component (if applicable):

[hanwen@haring tmp]$ rpm -q desktop-printing
desktop-printing-0.19-14.fc6

How reproducible:

unplug printer
print a job from GTK app
cancel job with lprm

Memory status: size: 84365312 vsize: 0 resident: 84365312 share: 0 rss: 12177408
rss_rlim: 0
CPU usage: start_time: 1159347237 rtime: 0 utime: 55 stime: 0 cutime:45 cstime:
0 timeout: 10 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/bin/eggcups'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208510768 (LWP 2998)]
0xb7f9f402 in __kernel_vsyscall ()
#0  0xb7f9f402 in __kernel_vsyscall ()
#1  0x00d52cab in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x00ac1cf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0xb7f9f402 in __kernel_vsyscall ()
#5  0x00129d40 in raise () from /lib/libc.so.6
#6  0x0012b591 in abort () from /lib/libc.so.6
#7  0x00273c92 in g_logv () from /lib/libglib-2.0.so.0
#8  0x00273cc9 in g_log () from /lib/libglib-2.0.so.0
#9  0x00273d46 in g_assert_warning () from /lib/libglib-2.0.so.0
#10 0x08050eb5 in job_timeout_cb (mon=0x9f413c0, 
    printer_name=0xb50036c0 "localhost", job_id=57, last_time=0x9f50608, 
    model=0x9ee24c8) at ec-job-model.c:308
#11 0x00d94f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#12 0x00da5e83 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
#13 0x00da737f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#14 0x00da7539 in g_signal_emit () from /lib/libgobject-2.0.so.0
#15 0x0804f3d1 in check_emit_job_timeout (mon=0x9f413c0, 
    host=0x9f1f790 "localhost", monjob=0x9f50600) at ec-cups-job-monitor.c:352
#16 0x0804f4f2 in poll_jobs (host=0x9f1f790 "localhost", jobs=0x9f69d60, 
    mon=0x9f413c0) at ec-cups-job-monitor.c:429
#17 0x0025e456 in g_hash_table_foreach () from /lib/libglib-2.0.so.0
#18 0x0804f275 in poll_all_queues (mon=0x9f413c0) at ec-cups-job-monitor.c:488
#19 0x0026b916 in g_source_get_current_time () from /lib/libglib-2.0.so.0
#20 0x0026b342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#21 0x0026e31f in g_main_context_check () from /lib/libglib-2.0.so.0
#22 0x0026e6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#23 0x026e30cb in gtk_dialog_run () from /usr/lib/libgtk-x11-2.0.so.0
#24 0x0a0fc948 in ?? ()
#25 0x00000000 in ?? ()

Thread 1 (Thread -1208510768 (LWP 2998)):
#0  0xb7f9f402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00d52cab in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x00ac1cf6 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0xb7f9f402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00129d40 in raise () from /lib/libc.so.6
No symbol table info available.
#6  0x0012b591 in abort () from /lib/libc.so.6
No symbol table info available.
#7  0x00273c92 in g_logv () from /lib/libglib-2.0.so.0
No symbol table info available.
#8  0x00273cc9 in g_log () from /lib/libglib-2.0.so.0
No symbol table info available.
#9  0x00273d46 in g_assert_warning () from /lib/libglib-2.0.so.0
No symbol table info available.
#10 0x08050eb5 in job_timeout_cb (mon=0x9f413c0, 
    printer_name=0xb50036c0 "localhost", job_id=57, last_time=0x9f50608, 
    model=0x9ee24c8) at ec-job-model.c:308
	current_state = EC_JOB_STATE_FINAL
	current_time = {tv_sec = 1159351009, tv_usec = 224343}
	iter = {stamp = -434930126, user_data = 0xa102e70, user_data2 = 0x0, 
  user_data3 = 0x0}
	__FUNCTION__ = "job_timeout_cb"
	__PRETTY_FUNCTION__ = "job_timeout_cb"
#11 0x00d94f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x00da5e83 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#13 0x00da737f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#14 0x00da7539 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#15 0x0804f3d1 in check_emit_job_timeout (mon=0x9f413c0, 
    host=0x9f1f790 "localhost", monjob=0x9f50600) at ec-cups-job-monitor.c:352
	current_time = {tv_sec = 1159351009, tv_usec = 224259}
	__FUNCTION__ = "check_emit_job_timeout"
#16 0x0804f4f2 in poll_jobs (host=0x9f1f790 "localhost", jobs=0x9f69d60, 
    mon=0x9f413c0) at ec-cups-job-monitor.c:429
	__FUNCTION__ = "poll_jobs"
#17 0x0025e456 in g_hash_table_foreach () from /lib/libglib-2.0.so.0
No symbol table info available.
#18 0x0804f275 in poll_all_queues (mon=0x9f413c0) at ec-cups-job-monitor.c:488
	__FUNCTION__ = "poll_all_queues"
#19 0x0026b916 in g_source_get_current_time () from /lib/libglib-2.0.so.0
No symbol table info available.
#20 0x0026b342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#21 0x0026e31f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#22 0x0026e6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#23 0x026e30cb in gtk_dialog_run () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x0a0fc948 in ?? ()
No symbol table info available.
#25 0x00000000 in ?? ()
No symbol table info available.
#0  0xb7f9f402 in __kernel_vsyscall ()
Comment 1 Matthias Clasen 2006-09-27 10:18:05 EDT
Can you please 

a) install glib-devel and reproduce the stack trace

b) run eggcups in a terminal by
  gnome-session-remove eggcups; eggcups
  and report what assertion it triggers 

?




Comment 2 Han-Wen Nienhuys 2006-09-27 11:15:12 EDT
Hi,

don't you mean glib2-debuginfo iso. glib-devel ?

Now the bug eludes reproduction. Is there a way to have gnome applets leave a
log file somewhere? 
Comment 3 Matthias Clasen 2006-09-27 11:21:30 EDT
Of course, -debuginfo, sorry.

For the log file, you should fine eggcups output in ~/.xsession-errors, I think.
Or you can do 

gnome-session-remove eggcups; eggcups >& eggcups.LOG 
Comment 4 Han-Wen Nienhuys 2006-09-27 11:26:15 EDT
it was in .xsession-errors, I overlooked it earlier

Assertion  is

** ERROR **: file ec-job-model.c: line 308 (map_known_state_to_unknown): should
not be reached
aborting...


I'll send another stacktrace if I manage to replicate it.

Comment 5 Matthias Clasen 2006-09-29 01:46:49 EDT
I have removed that assertion in 0.19-15

Note You need to log in before you can comment on or make changes to this bug.